%define mod_path %{_libdir}/testthis
%define nagios_cfg /opt/monitor/etc/nagios.cfg

%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

%{?dgroup:%define daemon_group %{dgroup}}

Summary: testthis is a module to run custom commands through nagios worker processes in a simulated environment
Name: monitor-testthis
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor
Requires: op5-nagios >= 3.99.99.9-beta3
BuildRequires: libstdc++-devel
BuildRequires: gcc-c++
BuildRequires: op5-naemon-devel
BuildRequires: valgrind
BuildRoot: %{_tmppath}/%{name}-%{version}
%if 0%{?suse_version}
BuildRequires: pkg-config
%else
BuildRequires: pkgconfig
%endif



%description
%name is an eventbroker module for op5 Monitor to run custom commands through
the nagios worker processes. It uses the query handler to listen for commands
and to set up a simulated environemnt with fictive objects, to be able to
test run commands before writing them to the configuration.

%prep
%setup -q


%build
rm -rf %buildroot
make NAGIOS_PREFIX=%prefix
make NAGIOS_PREFIX=%prefix test


%install
mkdir -p %buildroot%mod_path
cp -a testthis.so %buildroot%mod_path
mkdir -p %buildroot/opt/monitor/etc/mconf
sed -e 's#@mod_path@#%{mod_path}#' \
	testthis.cfg.in > %buildroot/opt/monitor/etc/mconf/testthis.cfg

%post
if grep -q 'broker_module.*testthis\.so' %nagios_cfg; then
	sed --follow-symlinks -i '\#^broker_module=%mod_path/testthis.so#d' %nagios_cfg
fi
/etc/init.d/monitor restart || :


%files
%defattr(-,root,root)
%mod_path
%attr(640,monitor,%daemon_group) /opt/monitor/etc/mconf/testthis.cfg


%clean
rm -rf %buildroot

%changelog
* Tue Jun 14 2011 Max Sikstrom <msikstrom@op5.com>
- Initial specfile creation.
